/*
 * Copyright 2024 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(strobe_random_seq.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(70da33f47eab314e34c40a20a86d5f2a)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/channel_monitoring/strobe_random_seq.h>
// pydoc.h is automatically generated in the build directory
#include <strobe_random_seq_pydoc.h>

void bind_strobe_random_seq(py::module& m)
{

    using strobe_random_seq = ::gr::channel_monitoring::strobe_random_seq;


    py::class_<strobe_random_seq,
               gr::block,
               gr::basic_block,
               std::shared_ptr<strobe_random_seq>>(
        m, "strobe_random_seq", D(strobe_random_seq))

        .def(py::init(&strobe_random_seq::make),
             py::arg("length"),
             py::arg("period_ms"),
             py::arg("modulo") = 4096,
             D(strobe_random_seq, make))


        .def("set_modulo",
             &strobe_random_seq::set_modulo,
             py::arg("modulo"),
             D(strobe_random_seq, set_modulo))


        .def("modulo", &strobe_random_seq::modulo, D(strobe_random_seq, modulo))


        .def("set_length",
             &strobe_random_seq::set_length,
             py::arg("length"),
             D(strobe_random_seq, set_length))


        .def("set_period",
             &strobe_random_seq::set_period,
             py::arg("period_ms"),
             D(strobe_random_seq, set_period))


        .def("period", &strobe_random_seq::period, D(strobe_random_seq, period))

        ;
}
